SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000621SiT!setup/configpublic2009-03-29 13:232009-08-16 14:38
Reporterkieran 
Assigned Toivan 
PriorityimmediateSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000621: 3.45 doesn't install schema if a blank DB exists
DescriptionA clean install of 3.45 missed the installation of tables and creation of an admin user.
Steps To ReproduceCreate an empty database before running setup. If the database already exists setup.php assumes the schema also already exists (which it doesn't)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000864)
paulh (administrator)
2009-03-29 13:28

I did a clean install of 3.45 (from the tar.gz) the other week and didn't have a problem
User avatar (0000865)
kieran (administrator)
2009-03-29 13:33

I think there's a route through setup that misses it, I didn't have a config file or an attachment folder, I suspect it's the latter as it's new code.
User avatar (0000866)
kieran (administrator)
2009-03-29 13:34

Also, a fair few people had the same problem on the forums and IRC.
User avatar (0000867)
kieran (administrator)
2009-03-29 13:42
edited on: 2009-03-29 13:44

I think it's this code, I think it's meant to be called right at the end

case 'checkatttdir':
if (file_exists($CONFIG['attachment_fspath']) == FALSE)
{
    <snip>
}
elseif (is_writable($CONFIG['attachment_fspath']) == FALSE)
{
    <snip>
}
else
{
    echo "<p class='info'>You can now go ahead and run SiT!.

";
    echo "<form action='index.php' method='get'>";
    echo "<input type='submit' value=\"Run SiT!\" />";
    echo "</form>\n";
}
break;

User avatar (0000868)
kieran (administrator)
2009-03-29 14:02

I've tried changing:

    echo "<p class='info'>You can now go ahead and run SiT!.";
    echo "<form action='index.php' method='get'>";
    echo "<input type='submit' value=\"Run SiT!\" />";
    echo "</form>\n";

to use setup_button() but none of:
echo setup_button('', 'Install');
echo setup_button('checkdbstate', 'Install');
echo setup_button('createdb', 'Install');

seem to work correctly, the first one installs the DB correctly but misses the admin user setup. Assigning to Ivan as I can't work out what needs doing.
User avatar (0000871)
ivan (administrator)
2009-03-30 13:30

http://sitracker.org/wiki/FAQ#After_installing_I_see_an_error_message_.22Table_.27sit.interfacestyles.27_doesn.27t_exist.22 [^]
User avatar (0000873)
ivan (administrator)
2009-03-30 14:01

Fixed in svn trunk r5295
User avatar (0001587)
ivan (administrator)
2009-08-16 14:38

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-03-29 13:23 kieran New Issue
2009-03-29 13:28 paulh Note Added: 0000864
2009-03-29 13:33 kieran Note Added: 0000865
2009-03-29 13:34 kieran Note Added: 0000866
2009-03-29 13:42 kieran Note Added: 0000867
2009-03-29 13:44 kieran Note Edited: 0000867
2009-03-29 14:02 kieran Note Added: 0000868
2009-03-29 14:02 kieran Assigned To => ivan
2009-03-29 14:02 kieran Status new => assigned
2009-03-30 13:19 ivan Target Version => 3.50
2009-03-30 13:19 ivan Steps to Reproduce Updated
2009-03-30 13:30 ivan Note Added: 0000871
2009-03-30 13:38 kieran Status assigned => confirmed
2009-03-30 13:38 kieran Summary 3.45 doesn't install => 3.45 doesn't install schema if a blank DB exists
2009-03-30 14:01 ivan Note Added: 0000873
2009-03-30 14:01 ivan Status confirmed => resolved
2009-03-30 14:01 ivan Resolution open => fixed
2009-03-30 14:01 ivan Fixed in Version => Current SVN
2009-08-16 13:17 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:38 ivan Note Added: 0001587
2009-08-16 14:38 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker